com.singularsys.jep.functions

## Class BinaryFunction

- java.lang.Object
- - com.singularsys.jep.functions.PostfixMathCommand
  - - com.singularsys.jep.functions.BinaryFunction

- All Implemented Interfaces:
    PostfixMathCommandI, java.io.Serializable
  Direct Known Subclasses:
    ArcTangent2, BigDecRoundSigFig, Binomial, BitAnd, BitOr, BitXor, Comparative, ComplexPFMC, Cross, Divide, Dot, Left, Logical, LogTwoArg, LShift, Modulus, NullWrappedBinary, Polar, Power, Remainder, Right, RShift, Subtract, URShift

      public abstract class BinaryFunction
      extends PostfixMathCommand

  Convenient base class for binary functions. Defines an `Object eval(Object l,Object r)` method for calculating the result.
  Author:
    Richard Morris
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `curNumberOfParameters, name, NaN, numberOfParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryFunction()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.Object` | `eval(java.lang.Object l, java.lang.Object r)`
    `void` | `run(java.util.Stack<java.lang.Object> stack)` Calls `eval(Object, Object)`

    - ### Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryFunction

          public BinaryFunction()

  - ### Method Detail

    - #### run

          public final void run(java.util.Stack<java.lang.Object> stack)
                         throws EvaluationException

      Calls `eval(Object, Object)`
      Specified by:
        `run` in interface `PostfixMathCommandI`
      Overrides:
        `run` in class `PostfixMathCommand`
      Parameters:
        `stack` - arguments for function
      Throws:
        `EvaluationException` - if function cannot be evaluated

    - #### eval

          public abstract java.lang.Object eval(java.lang.Object l,
                                                java.lang.Object r)
                                         throws EvaluationException

      Throws:
        `EvaluationException`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep